// @flow

import React from 'react'
import { compose } from 'recompose'
import withScriptjs from 'react-google-maps/lib/async/withScriptjs'
import {
  withGoogleMap,
  GoogleMap,
} from 'react-google-maps'

const AsyncMap = ({
  onMapLoad,
  children,
  ...props
}: {
  onMapLoad: Function,
  center: any,
  children?: any,
}) => (
  <GoogleMap
    ref={onMapLoad}
    {...props}
  >
    {children}
  </GoogleMap>
)

AsyncMap.defaultProps = {
  children: null,
}

export default compose(
  withScriptjs,
  withGoogleMap,
)(AsyncMap)
