// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'

export const defaultStyles = {
  image: 'is-64x64 pa2',
  title: 'f5',
}

const HorizontalSmall = ({
  item: { image, title },
  reverse,
  className,
  theme,
}: {
  item: { image: string, title: string },
  reverse?: boolean,
  className?: string,
  theme: { [key: string]: string },
}) => (
  <div className={cn('flex items-center', className, { 'flex-row-reverse': reverse })}>
    <img className={cn('image', theme.image)} src={image} alt={title} />
    <div className={theme.title}>{title}</div>
  </div>
)

HorizontalSmall.defaultProps = {
  className: null,
  reverse: false,
}

export default themr('HorizontalSmall', {}, { composeTheme: 'softly' })(HorizontalSmall)
