// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import Section from './'

const theme = {
  root: 'pv5 pv6-ns cover bg-center vh-100 vh-75-ns',
  title: 'near-white title f1 tc mw8 center lh-title',
  subtitle: 'near-white subtitle f3 tc mw8 center',
}

const section = {
  title: 'Thời giờ là vàng bạc',
  subtitle: '... nên chúng tôi xây dựng website tải trong chớp mắt giúp bạn có nhiều khách hàng hơn.',
  backgroundImage: '//res.cloudinary.com/connected/image/upload/v1495041085/hero-img-time-money_cycsus.png',
  addonImage: '//res.cloudinary.com/connected/image/upload/c_scale,w_500/v1495092849/businessman-lose-profit_gswjxf.png',
}

storiesOf('Section', module)
  .add('Hero', () => (
    <div>
      <Wrapper title="Normal" className="mb2">
        <Section
          className="pa2"
          theme={theme}
          section={section}
        />
      </Wrapper>
    </div>
  ))
