// @flow

import React from 'react'
import { themr } from 'react-css-themr'
import cn from 'classnames'
import StandardItem from 'components/StandardItem'

export const defaultStyles = {
  root: '',
  itemWrapper: 'w-100 w-third-ns',
  itemRoot: 'tc',
  image: 'h4 w4',
  title: 'f4',
  description: '',
}

const StandardList = ({
  data,
  className,
  theme,
}: {
  data: Array<Item>,
  className?: string,
  theme: { [key: string]: string},
}) => (
  <div className={cn(theme.root, className)}>
    {data.map(item => (
      <div key={item.title} className={theme.itemWrapper}>
        <StandardItem
          item={item}
          theme={{
            root: theme.itemRoot,
            image: theme.image,
            title: theme.title,
            description: theme.description,
          }}
        />
      </div>
    ))}
  </div>
)

StandardList.defaultProps = {
  className: null,
}

export default themr('StandardList', {}, { composeTheme: 'softly' })(StandardList)
