'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactProgressiveImage = require('react-progressive-image');

var _reactProgressiveImage2 = _interopRequireDefault(_reactProgressiveImage);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  title: 'f3 f1-ns mw8 center lh-title fw9 tc',
  author: 'f5 f4-ns fw6 center',
  body: 'mw7 center mt3 mt4-ns pa3 pa3-ns'
};

var Article = function Article(_ref) {
  var _ref$post = _ref.post,
      title = _ref$post.title,
      author = _ref$post.author,
      headerColor = _ref$post.headerColor,
      _ref$post$overlayColo = _ref$post.overlayColor,
      overlayColor = _ref$post$overlayColo === undefined ? 'rgba(0, 0, 0, 0)' : _ref$post$overlayColo,
      image = _ref$post.image,
      smallImage = _ref$post.smallImage,
      body = _ref$post.body,
      theme = _ref.theme;
  return _react2.default.createElement(
    'article',
    { 'data-component': 'Article' },
    _react2.default.createElement(
      'header',
      { className: (0, _classnames2.default)('relative w-100', headerColor, { 'vh-75': !!image }) },
      _react2.default.createElement(
        _reactProgressiveImage2.default,
        { src: image, placeholder: smallImage },
        function (src) {
          return _react2.default.createElement('div', {
            style: !image ? {} : {
              background: 'linear-gradient(' + overlayColor + ', ' + overlayColor + '), url(' + src + ')'
            },
            className: (0, _classnames2.default)('absolute aspect-ratio--object cover')
          });
        }
      ),
      _react2.default.createElement(
        'div',
        { className: 'absolute aspect-ratio--object v-mid ph3 ph4-m ph5-l flex flex-column justify-center' },
        _react2.default.createElement(
          'h1',
          { className: theme.title },
          title
        ),
        _react2.default.createElement(
          'h2',
          { className: theme.author },
          author
        )
      )
    ),
    _react2.default.createElement('div', {
      className: (0, _classnames2.default)('markdown content', theme.body),
      dangerouslySetInnerHTML: { __html: body }
    })
  );
};

exports.default = (0, _reactCssThemr.themr)('Article', {}, { composeTheme: 'softly' })(Article);