'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  image: '',
  name: '',
  from: '',
  content: ''
};

var CustomerReviewListItem = function CustomerReviewListItem(_ref) {
  var _ref$item = _ref.item,
      icon = _ref$item.icon,
      image = _ref$item.image,
      name = _ref$item.name,
      from = _ref$item.from,
      content = _ref$item.content,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'CustomerReviewListItem',
      className: (0, _classnames2.default)('flex items-center', theme.root, className)
    },
    icon && _react2.default.createElement(
      'div',
      { className: theme.icon },
      _react2.default.createElement(_Icon2.default, { name: icon })
    ),
    _react2.default.createElement(
      'div',
      { className: theme.meta },
      _react2.default.createElement(
        'div',
        { className: theme.imageWrapper },
        _react2.default.createElement('img', { className: theme.image, src: image, alt: name })
      ),
      _react2.default.createElement(
        'div',
        { className: theme.nameWrapper },
        _react2.default.createElement(
          'div',
          { className: theme.name },
          name
        ),
        _react2.default.createElement(
          'div',
          { className: theme.from },
          from
        )
      )
    ),
    _react2.default.createElement(
      'div',
      { className: theme.content },
      content
    )
  );
};

CustomerReviewListItem.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('CustomerReviewListItem', {}, { composeTheme: 'softly' })(CustomerReviewListItem);