'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _reactMotion = require('react-motion');

var _reactWaypoint = require('react-waypoint');

var _reactWaypoint2 = _interopRequireDefault(_reactWaypoint);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var ON_ENTER = 'ON_ENTER';
var ON_LEAVE = 'ON_LEAVE';

function reducer() {
  var state = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
  var action = arguments[1];

  switch (action.type) {
    case ON_ENTER:
      return _extends({}, state, _defineProperty({}, action.payload, true));
    case ON_LEAVE:
      return _extends({}, state, _defineProperty({}, action.payload, false));
    default:
      return state;
  }
}

var Example = function (_React$Component) {
  _inherits(Example, _React$Component);

  function Example() {
    _classCallCheck(this, Example);

    return _possibleConstructorReturn(this, (Example.__proto__ || Object.getPrototypeOf(Example)).apply(this, arguments));
  }

  _createClass(Example, [{
    key: 'render',
    value: function render() {
      var _props = this.props,
          a = _props.state.a,
          dispatch = _props.dispatch;

      return _react2.default.createElement(
        'div',
        null,
        _react2.default.createElement('div', { className: 'vh-100' }),
        _react2.default.createElement('div', { className: 'vh-100' }),
        _react2.default.createElement(
          _reactWaypoint2.default,
          {
            key: 'a',
            onEnter: function onEnter() {
              dispatch({ type: ON_ENTER, payload: 'a' });
            }
          },
          _react2.default.createElement(
            'div',
            null,
            _react2.default.createElement(
              'div',
              { className: 'f3' },
              'Our Services'
            ),
            _react2.default.createElement(
              'div',
              { className: 'flex' },
              _react2.default.createElement(
                'div',
                { className: 'w-100 w-third-ns pa2 pa3-ns' },
                _react2.default.createElement(
                  _reactMotion.Motion,
                  {
                    defaultStyle: {
                      opacity: 0,
                      translateY: 400
                    },
                    style: {
                      opacity: a ? (0, _reactMotion.spring)(1, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(0),
                      translateY: a ? (0, _reactMotion.spring)(0, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(400)
                    }
                  },
                  function (_ref) {
                    var opacity = _ref.opacity,
                        translateY = _ref.translateY;
                    return _react2.default.createElement(
                      'div',
                      {
                        className: 'pa2 pa3-ns bg-yellow',
                        style: {
                          opacity: opacity,
                          transform: 'translateY(' + translateY + 'px)'
                        }
                      },
                      _react2.default.createElement(
                        'div',
                        { className: 'f4' },
                        'Component Design'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'f5' },
                        'If you decide to use a custom component as a child, style and dimensions props will be passed into that component for you to use however you want. If you pass a regular React DOM element, Transition will take care of applying the values for you by cloning your element and passing it in.'
                      )
                    );
                  }
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'w-100 w-third-ns pa2 pa3-ns' },
                _react2.default.createElement(
                  _reactMotion.Motion,
                  {
                    defaultStyle: {
                      opacity: 0,
                      translateY: 800
                    },
                    style: {
                      opacity: a ? (0, _reactMotion.spring)(1, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(0),
                      translateY: a ? (0, _reactMotion.spring)(0, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(800)
                    }
                  },
                  function (_ref2) {
                    var opacity = _ref2.opacity,
                        translateY = _ref2.translateY;
                    return _react2.default.createElement(
                      'div',
                      {
                        className: 'pa2 pa3-ns bg-yellow',
                        style: {
                          opacity: opacity,
                          transform: 'translateY(' + translateY + 'px)'
                        }
                      },
                      _react2.default.createElement(
                        'div',
                        { className: 'f4' },
                        'Component Design'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'f5' },
                        'If you decide to use a custom component as a child, style and dimensions props will be passed into that component for you to use however you want. If you pass a regular React DOM element, Transition will take care of applying the values for you by cloning your element and passing it in.'
                      )
                    );
                  }
                )
              ),
              _react2.default.createElement(
                'div',
                { className: 'w-100 w-third-ns pa2 pa3-ns' },
                _react2.default.createElement(
                  _reactMotion.Motion,
                  {
                    defaultStyle: {
                      opacity: 0,
                      translateY: 1200
                    },
                    style: {
                      opacity: a ? (0, _reactMotion.spring)(1, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(0),
                      translateY: a ? (0, _reactMotion.spring)(0, _reactMotion.presets.noWobble) : (0, _reactMotion.spring)(1200)
                    }
                  },
                  function (_ref3) {
                    var opacity = _ref3.opacity,
                        translateY = _ref3.translateY;
                    return _react2.default.createElement(
                      'div',
                      {
                        className: 'pa2 pa3-ns bg-yellow',
                        style: {
                          opacity: opacity,
                          transform: 'translateY(' + translateY + 'px)'
                        }
                      },
                      _react2.default.createElement(
                        'div',
                        { className: 'f4' },
                        'Component Design'
                      ),
                      _react2.default.createElement(
                        'div',
                        { className: 'f5' },
                        'If you decide to use a custom component as a child, style and dimensions props will be passed into that component for you to use however you want. If you pass a regular React DOM element, Transition will take care of applying the values for you by cloning your element and passing it in.'
                      )
                    );
                  }
                )
              )
            )
          )
        ),
        _react2.default.createElement('div', { className: 'vh-100' }),
        _react2.default.createElement('div', { className: 'vh-100' })
      );
    } // eslint-disable-line

  }]);

  return Example;
}(_react2.default.Component);

exports.default = (0, _recompose.withReducer)('state', 'dispatch', reducer)(Example);