'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _reactMotionUiPack = require('react-motion-ui-pack');

var _reactMotionUiPack2 = _interopRequireDefault(_reactMotionUiPack);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// import { spring } from 'react-motion'

var defaultStyles = exports.defaultStyles = {
  image: 'is-64x64 pa2',
  title: 'f5'
};
// import CSSTransitionGroup from 'react-transition-group/CSSTransitionGroup'


var FlipCard = function FlipCard(_ref) {
  var _ref$item = _ref.item,
      title = _ref$item.title,
      description = _ref$item.description,
      _ref$item$actions = _ref$item.actions,
      actions = _ref$item$actions === undefined ? [] : _ref$item$actions,
      reverse = _ref.reverse,
      className = _ref.className,
      theme = _ref.theme,
      Link = _ref.Link,
      isFlip = _ref.isFlip,
      flip = _ref.flip;
  return _react2.default.createElement(
    'div',
    {
      'data-component': 'FlipCard',
      className: (0, _classnames2.default)('flex flex-wrap items-center', theme.root, className, { 'flex-row-reverse': reverse })
    },
    !isFlip && _react2.default.createElement(
      _reactMotionUiPack2.default,
      {
        component: false,
        enter: {
          opacity: 1,
          translateY: 0 },
        leave: {
          opacity: 0,
          translateY: -100
        }
      },
      _react2.default.createElement(
        'div',
        { className: theme.body },
        _react2.default.createElement(
          'div',
          { className: theme.title },
          title
        ),
        _react2.default.createElement(
          'div',
          { className: theme.description },
          description
        ),
        _react2.default.createElement(
          'div',
          { className: theme.footer },
          actions.length > 0 && actions.map(function (action) {
            return _react2.default.createElement(
              'div',
              { className: 'h3 tc mt2 mt3-ns' },
              _react2.default.createElement(
                Link,
                {
                  className: (0, _classnames2.default)('button', theme.action, { 'is-outlined': action.secondary }),
                  to: action.href
                },
                action.label
              )
            );
          })
        ),
        _react2.default.createElement(
          'button',
          { onClick: function onClick() {
              return flip(true);
            } },
          'Flip'
        )
      )
    ),
    isFlip && _react2.default.createElement(
      _reactMotionUiPack2.default,
      {
        component: false,
        enter: {
          opacity: 1,
          translateY: 0 },
        leave: {
          opacity: 0,
          translateY: 100
        }
      },
      _react2.default.createElement(
        'div',
        { key: 'back' },
        'Back',
        _react2.default.createElement(
          'button',
          { onClick: function onClick() {
              return flip(false);
            } },
          'Flop'
        )
      )
    )
    // <CSSTransitionGroup
    //   transitionEnterTimeout={500}
    //   transitionLeaveTimeout={300}
    //   transitionName={{
    //     enter: 'animated',
    //     enterActive: 'animated bounceIn',
    //     leave: 'animated bounceOut',
    //     leaveActive: 'animated bounceOut',
    //     appear: 'animated',
    //     appearActive: 'animated bounceIn',
    //   }}
    // >
    // </CSSTransitionGroup>

  );
};

FlipCard.defaultProps = {
  className: null,
  reverse: false
};

exports.default = (0, _recompose.compose)((0, _reactCssThemr.themr)('FlipCard', {}, { composeTheme: 'softly' }), (0, _recompose.withState)('isFlip', 'flip', false))(FlipCard);