'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _recompose = require('recompose');

var _withScriptjs = require('react-google-maps/lib/async/withScriptjs');

var _withScriptjs2 = _interopRequireDefault(_withScriptjs);

var _reactGoogleMaps = require('react-google-maps');

var _SearchBox = require('react-google-maps/lib/places/SearchBox');

var _SearchBox2 = _interopRequireDefault(_SearchBox);

var _helpers = require('./helpers');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var _Map = function _Map(_ref) {
  var onMapLoad = _ref.onMapLoad,
      onMapClick = _ref.onMapClick,
      onMarkerRightClick = _ref.onMarkerRightClick,
      center = _ref.center,
      routes = _ref.routes,
      markers = _ref.markers;

  // const defaultCenter = {
  //   lat: center.lat(),
  //   lng: center.lng(),
  // }
  // console.log({ defaultCenter })
  console.log(center);
  var defaultCenter = center || { lat: 10.7661204, lng: 106.6640309 };
  console.log(routes && routes[0]);
  return _react2.default.createElement(
    _reactGoogleMaps.GoogleMap,
    {
      ref: onMapLoad,
      defaultZoom: 10,
      defaultCenter: defaultCenter,
      center: center,
      onClick: onMapClick
    },
    _react2.default.createElement(_SearchBox2.default
    // ref={onSearchBoxMounted}
    // bounds={bounds}
    , { controlPosition: window.google.maps.ControlPosition.TOP_LEFT,
      onPlacesChanged: console.log,
      inputPlaceholder: 'Customized your placeholder'
    }),
    markers && markers.map(function (marker) {
      return _react2.default.createElement(_reactGoogleMaps.Marker, _extends({}, marker, {
        onRightClick: function onRightClick() {
          return onMarkerRightClick(marker);
        }
      }));
    }),
    routes && routes.map(function (directions) {
      return _react2.default.createElement(_reactGoogleMaps.DirectionsRenderer, { directions: directions });
    })
  );
};

var AsyncGettingStartedExampleGoogleMap = (0, _recompose.compose)(_withScriptjs2.default, _reactGoogleMaps.withGoogleMap)(_Map);

var AsyncGettingStartedExample = function (_Component) {
  _inherits(AsyncGettingStartedExample, _Component);

  function AsyncGettingStartedExample() {
    var _ref2;

    var _temp, _this, _ret;

    _classCallCheck(this, AsyncGettingStartedExample);

    for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {
      args[_key] = arguments[_key];
    }

    return _ret = (_temp = (_this = _possibleConstructorReturn(this, (_ref2 = AsyncGettingStartedExample.__proto__ || Object.getPrototypeOf(AsyncGettingStartedExample)).call.apply(_ref2, [this].concat(args))), _this), _this.state = {
      directions: null,
      markers: [{
        position: { lat: 10.7661204, lng: 106.6640309 },
        key: 'Taiwan',
        defaultAnimation: 2
      }]
    }, _this.handleMapLoad = function () {
      _this.getInitData().then(function (_ref3) {
        var origin = _ref3.origin,
            routes = _ref3.routes;

        _this.setState({
          origin: origin,
          routes: routes
        });
      });
    }, _temp), _possibleConstructorReturn(_this, _ret);
  }

  _createClass(AsyncGettingStartedExample, [{
    key: 'getInitData',
    value: function () {
      var _ref4 = _asyncToGenerator(regeneratorRuntime.mark(function _callee() {
        var _props, originId, destinationIds, results, origin, destinations, routes;

        return regeneratorRuntime.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                _props = this.props, originId = _props.originId, destinationIds = _props.destinationIds;
                _context.next = 3;
                return (0, _helpers.getPlace)(originId);

              case 3:
                results = _context.sent;
                origin = {
                  lat: results[0].geometry.location.lat(),
                  lng: results[0].geometry.location.lng()
                };
                _context.next = 7;
                return Promise.all(destinationIds.map(_helpers.getPlace));

              case 7:
                _context.t0 = function (value) {
                  return {
                    lat: value[0].geometry.location.lat(),
                    lng: value[0].geometry.location.lng()
                  };
                };

                destinations = _context.sent.map(_context.t0);
                _context.next = 11;
                return Promise.all(destinations.map(function (destination) {
                  return (0, _helpers.getDirection)({ origin: origin, destination: destination });
                }));

              case 11:
                routes = _context.sent;
                return _context.abrupt('return', {
                  origin: origin,
                  routes: routes,
                  destinations: destinations
                });

              case 13:
              case 'end':
                return _context.stop();
            }
          }
        }, _callee, this);
      }));

      function getInitData() {
        return _ref4.apply(this, arguments);
      }

      return getInitData;
    }()
  }, {
    key: 'render',


    /*
     * This is called when you click on the map.
     * Go and try click now.
     */

    /*
    handleMapClick = (event: any) => {
     const nextMarkers = [
       ...this.state.markers,
       {
         position: event.latLng,
         defaultAnimation: 2,
         key: Date.now(),
       },
     ]
     this.setState({
       markers: nextMarkers,
     })
      const geocoder = new window.google.maps.Geocoder()
     // const placeId = 'ChIJz1DgnSEvdTER39rdX1SQ8NQ'
     // const place2Id = 'ChIJ5Y0kw-gudTERIqLMXlqtGCE'
     const place3Id = 'ChIJS6rgU5kvdTER0LlCXTU08GE'
      // const place3 = { lat: 10.7382142, lng: 106.7152543 }
      geocoder.geocode({ placeId: place3Id }, (results, status) => {
       if (status === 'OK') {
         const DirectionsService = new window.google.maps.DirectionsService()
         DirectionsService.route({
           origin: this.state.origin,
           destination: results[0].geometry.location,
           travelMode: window.google.maps.TravelMode.DRIVING,
         }, (result, _status) => {
           if (_status === window.google.maps.DirectionsStatus.OK) {
             console.log(result)
             this.setState({
               directions: result,
             })
           } else {
             console.error(`error fetching directions ${result}`)
           }
         })
       } else {
         window.alert(`Geocoder failed due to: ${status}`)
       }
     })
    }
    handleMarkerRightClick = (targetMarker: any) => {
     const nextMarkers = this.state.markers.filter(marker => marker !== targetMarker)
     this.setState({
       markers: nextMarkers,
     })
    }
    */

    value: function render() {
      return _react2.default.createElement(AsyncGettingStartedExampleGoogleMap, {
        googleMapURL: 'https://maps.googleapis.com/maps/api/js?v=3.exp&libraries=geometry,drawing,places&key=AIzaSyA28KsfUooJBCwkwR-rBPu5uMwQ2g9U3LM',
        loadingElement: _react2.default.createElement(
          'div',
          { style: {} },
          _react2.default.createElement('span', {
            style: {
              display: 'block',
              width: '80px',
              height: '80px',
              margin: '150px auto',
              animation: 'fa-spin 2s infinite linear'
            }
          })
        ),
        containerElement: _react2.default.createElement('div', { style: { height: '100%' } }),
        mapElement: _react2.default.createElement('div', { style: { height: '100%' } }),
        center: this.state.origin,
        routes: this.state.routes,
        markers: [{ position: this.state.origin }],
        onMapLoad: this.handleMapLoad
        // onMapClick={this.handleMapClick}
        // onMarkerRightClick={this.handleMarkerRightClick}
      });
    }
  }]);

  return AsyncGettingStartedExample;
}(_react.Component);

exports.default = AsyncGettingStartedExample;