'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _HorizontalItem = require('../HorizontalItem');

var _HorizontalItem2 = _interopRequireDefault(_HorizontalItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  itemWrapper: 'w-100 w-50-ns',
  itemRoot: '',
  imageWrapper: '',
  image: 'h2 w2 pa2',
  bodyWrapper: '',
  title: 'f5 fw6',
  description: 'f6',
  footer: '',
  actionWrapper: '',
  action: ''
};

var HorizontalList = function HorizontalList(_ref) {
  var data = _ref.data,
      className = _ref.className,
      theme = _ref.theme,
      Link = _ref.Link;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(theme.root, className) },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.title, className: theme.itemWrapper },
        _react2.default.createElement(_HorizontalItem2.default, {
          item: item,
          theme: {
            root: theme.itemRoot,
            imageWrapper: theme.imageWrapper,
            image: theme.image,
            bodyWrapper: theme.bodyWrapper,
            title: theme.title,
            description: theme.description,
            footer: theme.footer,
            actionWrapper: theme.actionWrapper,
            action: theme.action
          },
          Link: Link
        })
      );
    })
  );
};

HorizontalList.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('HorizontalList', {}, { composeTheme: 'softly' })(HorizontalList);