'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _querystring = require('querystring');

var _querystring2 = _interopRequireDefault(_querystring);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _Icon = require('../Icon');

var _Icon2 = _interopRequireDefault(_Icon);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  link: 'black-60 hover-black-80',
  icon: ''
};

var SocialShare = function SocialShare(_ref) {
  var theme = _ref.theme,
      url = _ref.url,
      text = _ref.text,
      _ref$email = _ref.email,
      email = _ref$email === undefined ? true : _ref$email,
      _ref$useColor = _ref.useColor,
      useColor = _ref$useColor === undefined ? true : _ref$useColor,
      _ref$facebook = _ref.facebook,
      facebook = _ref$facebook === undefined ? true : _ref$facebook,
      _ref$googlePlus = _ref.googlePlus,
      googlePlus = _ref$googlePlus === undefined ? true : _ref$googlePlus,
      _ref$linkedIn = _ref.linkedIn,
      linkedIn = _ref$linkedIn === undefined ? false : _ref$linkedIn,
      _ref$pinterest = _ref.pinterest,
      pinterest = _ref$pinterest === undefined ? true : _ref$pinterest,
      _ref$reddit = _ref.reddit,
      reddit = _ref$reddit === undefined ? false : _ref$reddit,
      _ref$tumblr = _ref.tumblr,
      tumblr = _ref$tumblr === undefined ? true : _ref$tumblr,
      _ref$twitter = _ref.twitter,
      twitter = _ref$twitter === undefined ? true : _ref$twitter,
      _ref$whatsApp = _ref.whatsApp,
      whatsApp = _ref$whatsApp === undefined ? true : _ref$whatsApp,
      _ref$xing = _ref.xing,
      xing = _ref$xing === undefined ? true : _ref$xing;
  return _react2.default.createElement(
    'div',
    { className: theme.root },
    email && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _email: useColor }),
        href: 'mailto:?' + _querystring2.default.stringify({ subject: text, body: url }),
        target: '_self',
        'aria-label': 'Share by E-Mail'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-envelope', className: theme.icon })
    ),
    facebook && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _facebook: useColor }),
        href: 'https://facebook.com/sharer/sharer.php?u=' + url,
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Facebook'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-facebook-square', className: theme.icon })
    ),
    googlePlus && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _google: useColor }),
        href: 'https://plus.google.com/share?url=' + url,
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Google+'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-google-plus-square', className: theme.icon })
    ),
    linkedIn && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _linkedin: useColor }),
        href: 'https://www.linkedin.com/shareArticle?' + _querystring2.default.stringify({
          mini: true,
          url: url,
          source: url,
          title: text,
          summary: text
        }),
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on LinkedIn'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-linkedin-square', className: theme.icon })
    ),
    pinterest && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _pinterest: useColor }),
        href: 'https://pinterest.com/pin/create/button/?' + _querystring2.default.stringify({
          url: url,
          media: url,
          summary: text
        }),
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Pinterest'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-pinterest-square', className: theme.icon })
    ),
    reddit && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _reddit: useColor }),
        href: 'https://reddit.com/submit/?url=' + url,
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Reddit'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-reddit-square', className: theme.icon })
    ),
    tumblr && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _tumblr: useColor }),
        href: 'https://www.tumblr.com/widgets/share/tool?' + _querystring2.default.stringify({
          posttype: 'link',
          title: text,
          caption: text,
          content: url,
          canonicalUrl: url,
          shareSource: 'tumblr_share_button'
        }),
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Tumblr'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-tumblr-square', className: theme.icon })
    ),
    twitter && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _twitter: useColor }),
        href: 'https://twitter.com/intent/tweet/?&' + _querystring2.default.stringify({
          text: text,
          url: url
        }),
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on Twitter'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-twitter-square', className: theme.icon })
    ),
    whatsApp && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _whatsapp: useColor }),
        href: 'whatsapp://send?text=' + (text ? text + ' ' : '') + url,
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on WhatsApp'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-whatsapp', className: theme.icon })
    ),
    xing && _react2.default.createElement(
      'a',
      {
        className: (0, _classnames2.default)(theme.link, { _xing: useColor }),
        href: 'https://www.xing.com/app/user?' + _querystring2.default.stringify({
          op: 'share',
          url: url,
          title: text
        }),
        target: '_blank',
        rel: 'noopener noreferrer',
        'aria-label': 'Share on XING'
      },
      _react2.default.createElement(_Icon2.default, { name: 'fa-xing-square', className: theme.icon })
    )
  );
};

SocialShare.defaultProps = {
  text: 'string',
  useColor: false,
  email: true,
  facebook: true,
  googlePlus: true,
  linkedIn: false,
  pinterest: false,
  reddit: false,
  tumblr: false,
  twitter: false,
  whatsApp: false,
  xing: false
};

exports.default = (0, _reactCssThemr.themr)('SocialShare', {}, { composeTheme: 'softly' })(SocialShare);