'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _StandardItem = require('../StandardItem');

var _StandardItem2 = _interopRequireDefault(_StandardItem);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultStyles = exports.defaultStyles = {
  root: '',
  itemWrapper: 'w-100 w-third-ns',
  itemRoot: 'tc',
  image: 'h4 w4',
  title: 'f4',
  description: ''
};

var StandardList = function StandardList(_ref) {
  var data = _ref.data,
      className = _ref.className,
      theme = _ref.theme;
  return _react2.default.createElement(
    'div',
    { className: (0, _classnames2.default)(theme.root, className) },
    data.map(function (item) {
      return _react2.default.createElement(
        'div',
        { key: item.title, className: theme.itemWrapper },
        _react2.default.createElement(_StandardItem2.default, {
          item: item,
          theme: {
            root: theme.itemRoot,
            image: theme.image,
            title: theme.title,
            description: theme.description
          }
        })
      );
    })
  );
};

StandardList.defaultProps = {
  className: null
};

exports.default = (0, _reactCssThemr.themr)('StandardList', {}, { composeTheme: 'softly' })(StandardList);